<h1>{{ 'DatabaseOverview' | translate }}</h1>
<p>{{ 'DatabaseOverviewDesc' | translate }}</p>

<app-route-overview-table #table [data]="routesOverviewDataSource"> </app-route-overview-table>

<div>
  <app-route-overview-filter *ngIf="visibilityOfFilters" (newFilter)="table.applyFilter($event)">

    <button mat-raised-button color="basic" (click)="updateTableContent()">
      {{ 'RefreshTable' | translate }}
    </button>

    <button mat-raised-button color="primary" class="displayRoutesButton" (click)="displayRoutesAndCloseDrawer()">
      {{ 'DisplayRoutes' | translate }}
    </button>

  </app-route-overview-filter>
</div>
